Bug 1272573 - overcloud nodes should automatically be subscribed to RHSM pools/repos
overcloud nodes should automatically be subscribed to RHSM pools/repos
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
All All
high Severity medium
: ---
: 10.0 (Newton)
Assigned To: Hugh Brock
Shai Revivo
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-16 15:12 EDT by Dan Yocum
Modified: 2016-09-26 23:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: unknown Consequence: overcloud nodes not registered with RHN portal. Fix: unknown Result:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-26 23:05:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Yocum 2015-10-16 15:12:50 EDT
Description of problem:
An extra step is necessary (and not documented) to subscribe the overcloud nodes to RHSM for updates, etc.

It should be possible to use the same subscription key on the director to perform this.
Comment 2 Dan Yocum 2015-12-02 10:54:09 EST
I'm changing this from an RFE to a bug.

I'm passing the following options to my 'openstack overcloud deploy' command and this is still failing with the error, below:

<snip>
--rhel-reg \
--reg-method portal \
--reg-org 12345678 \
--reg-activation-key my_key \
--reg-force \
<snip>



Dec 01 14:37:29 overcloud-controller-0.localdomain os-collect-config[4608]: [2015-12-01 14:37:29,147] (os-refresh-config) [INFO] Completed phase post-configure
Dec 01 14:37:31 overcloud-controller-0.localdomain os-collect-config[4608]: 2015-12-01 14:37:31.433 4608 WARNING os-collect-config [-] Source [request] Unavailable.
Dec 01 14:37:31 overcloud-controller-0.localdomain os-collect-config[4608]: 2015-12-01 14:37:31.433 4608 WARNING os_collect_config.local [-] /var/lib/os-collect-config/local-data not found. Skipping
Dec 01 14:37:31 overcloud-controller-0.localdomain os-collect-config[4608]: 2015-12-01 14:37:31.433 4608 WARNING os_collect_config.local [-] No local metadata found (['/var/lib/os-collect-config/local-data'])
Dec 01 14:38:03 overcloud-controller-0.localdomain os-collect-config[4608]: 2015-12-01 14:38:03.332 4608 WARNING os-collect-config [-] Source [request] Unavailable.
Dec 01 14:38:03 overcloud-controller-0.localdomain os-collect-config[4608]: 2015-12-01 14:38:03.333 4608 WARNING os_collect_config.local [-] /var/lib/os-collect-config/local-data not found. Skipping
Dec 01 14:38:03 overcloud-controller-0.localdomain os-collect-config[4608]: 2015-12-01 14:38:03.333 4608 WARNING os_collect_config.local [-] No local metadata found (['/var/lib/os-collect-config/local-data'])
Dec 01 14:38:03 overcloud-controller-0.localdomain os-collect-config[4608]: [2015-12-01 14:38:03,369] (os-refresh-config) [INFO] Starting phase pre-configure
Dec 01 14:38:03 overcloud-controller-0.localdomain os-collect-config[4608]: dib-run-parts Tue Dec 1 14:38:03 EST 2015 Running /usr/libexec/os-refresh-config/pre-configure.d/06-rhel-registration
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: WARNING: Support for registering with a username and password is deprecated.
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: Please use activation keys instead.  See the README for more information.
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: WARNING: only 'portal', 'satellite', and 'disable' are valid values for REG_METHOD.
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: dib-run-parts Tue Dec 1 14:38:07 EST 2015 06-rhel-registration completed
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: ----------------------- PROFILING -----------------------
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: Target: pre-configure.d
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: Script                                     Seconds
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: ---------------------------------------  ----------
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: 06-rhel-registration                          4.048
Dec 01 14:38:07 overcloud-controller-0.localdomain os-collect-config[4608]: --------------------- END PROFILING ---------------------
Comment 4 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 6 Jaromir Coufal 2016-09-26 23:05:18 EDT
This should be working, please reopen if the issue lasts.

Note You need to log in before you can comment on or make changes to this bug.